Bug 113251 - maintainer update: math/qtiplot and dependencies (part 1)
Summary: maintainer update: math/qtiplot and dependencies (part 1)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-02 14:10 UTC by Max Brazhnikov
Modified: 2007-06-15 10:50 UTC (History)
0 users

See Also:


Attachments
file.diff (22.53 KB, patch)
2007-06-02 14:10 UTC, Max Brazhnikov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Max Brazhnikov 2007-06-02 14:10:05 UTC
Update QtiPlot to 0.9-rc2. Changes:
Migrate from Qt 3 to Qt 4.2.
Added support for antialiasing.
It is now possible to plot only a partial row range of a data column.
More symbols for text labels.
Improved printing and export of 2D plots to PDF, EPS and PS.
Full import of Origin 7.5 project files.
Lots of bug fixes and improvements.
-----------------------------------------
Update liborigin to 20070529. Changes:
Full support of 7.5 projects.
Support Origins's standdalone file formats: *.ogw (worksheet) and *.ogm (matrix).
-----------------------------------------
New port qwtplot3d-qt4-0.2.6 - qt4 version of qwtplot3d.
-----------------------------------------
Switch qwt-devel from qt3 to qt4.

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2007-06-06 18:33:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2007-06-15 10:46:49 UTC
miwi        2007-06-15 09:46:44 UTC

  FreeBSD ports repository

  Modified files:
    math/qtiplot         Makefile distinfo pkg-plist 
  Added files:
    math/qtiplot/files   
                         patch-fitPlugins__fitRational0__fitRational0.pro 
                         patch-fitPlugins__fitRational1__fitRational1.pro 
                         patch-qtiplot__qtiplot.pro 
  Removed files:
    math/qtiplot/files   qtiplot.pro 
  Log:
  - Update to 0.9-rc2
  
  PR:             113251
  Submitted by:   Max Brazhnikov <makc@issp.ac.ru> (maintainer)
  
  Revision  Changes    Path
  1.12      +20 -34    ports/math/qtiplot/Makefile
  1.11      +3 -3      ports/math/qtiplot/distinfo
  1.1       +14 -0     ports/math/qtiplot/files/patch-fitPlugins__fitRational0__fitRational0.pro (new)
  1.1       +14 -0     ports/math/qtiplot/files/patch-fitPlugins__fitRational1__fitRational1.pro (new)
  1.1       +148 -0    ports/math/qtiplot/files/patch-qtiplot__qtiplot.pro (new)
  1.2       +0 -288    ports/math/qtiplot/files/qtiplot.pro (dead)
  1.3       +1 -0      ports/math/qtiplot/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2007-06-15 10:47:00 UTC
State Changed
From-To: open->closed

Committed. Thanks!